from fastapi import FastAPI

from app.api.routes import health_router, todo_router
from app.db.database import create_tables

app = FastAPI(
    title="TodoApp",
    description="A simple ToDo application API",
    version="1.0.0"
)

# Include routers
app.include_router(todo_router)
app.include_router(health_router)

# Create tables on startup
@app.on_event("startup")
async def startup_event():
    create_tables()

if __name__ == "__main__":
    import uvicorn
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)